AnsweredAssumed Answered

Matlab support package installs wrong (outdated) PlutoSDR-M2k-USB-Drivers.

Question asked by G4DCP on Aug 12, 2017
Latest reply on Aug 17, 2017 by travisfcollins

Version 0.6 of drivers is used by the Matlab support package for the PlutoSDR.

 

It is not easy to tell at the time as the package name "PlutoSDR-M2k-USB-Drivers.exe" gives no idea of version level and is all you see during the install.

 

Version 0.6 does not work in the UK version 0.7 solves this problem. Please amend the Matlab package to ensure that the current version of the drivers gets installed. A current workaround is to install  the drivers first from the 0.7 version and tell the package installers to skip the driver install (which is currently set at install as a default).

 

Once these drivers are correct then the package works, however I am having a lot of problems using the SDR Matlab project other than just after reboot, reinstall the drivers, plug in the board, use the info button to check connectivity and then if it doesn't work un-plug and re-plug the board. It then works, however various hangs get encountered if you stop the simlink simulation try and make a parameter change and restart the session. A lot of the time it then shows that it can not use the usb0 pluto device because it is already in use.

 

Advice on how I can improve my success rate would be much appreciated.

 

- Peter (G4DCP)adalm-pluto

Outcomes